## cl-f2cl 20050726

=== Makefile ===
TOP := $(shell cd ../..; pwd)
LISPEXT := lisp
SOURCES := 
SYSTEM := f2cl
DOCFILES = $(SYSTEM).html
ZIPEXTRA = $(TOP)/etc/GNU-LGPL
include $(TOP)/clocc.mk

## cl-f2cl 1.0+cvs.2002.11.11

=== debian/changelog ===
cl-f2cl (1.0+cvs.2002.11.11) unstable; urgency=low

  * Initial Debian upload.

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri,  8 Nov 2002 09:46:00 -0700

=== debian/control ===
Source: cl-f2cl
Section: devel
Priority: optional
Maintainer: Kevin M. Rosenberg <kmr@debian.org>
Build-Depends-Indep: debhelper (>= 4.0.0)
Standards-Version: 3.5.7.1

Package: cl-f2cl
Architecture: all
Depends: ${shlibs:Depends}, common-lisp-controller (>= 3.37)
Description: Common Lisp package to convert Fortran 77 source code to Common Lisp
 This package performs automated conversion of Fortran 77 source code into Common Lisp
 source code.

=== debian/rules ===
#!/usr/bin/make -f

export DH_COMPAT=4

pkg	:= f2cl
debpkg  := cl-f2cl


clc-source	:= usr/share/common-lisp/source
clc-systems	:= usr/share/common-lisp/systems
clc-f2cl	:= $(clc-source)/$(pkg)

doc-dir		:= usr/share/doc/$(debpkg)


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	# Add here commands to compile the package.
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	# Add here commands to clean up after the build process.
	rm -f debian/cl-f2cl.postinst.* debian/cl-f2cl.prerm.*
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	# Add here commands to install the package into debian/f2cl.
	dh_installdirs $(clc-systems) $(clc-f2cl)
	dh_install debian/f2cl.asd $(wildcard src/*) $(clc-f2cl)
	dh_link $(clc-f2cl)/f2cl.asd $(clc-systems)/f2cl.asd

# Build architecture-independent files here.
binary-indep: build install


# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs README debian/README.Debian $(wildcard doc/*)
	dh_installexamples $(wildcard val/*)
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## cl-f2cl 1.0+cvs.2004.07.08

=== debian/changelog ===
cl-f2cl (1.0+cvs.2004.07.08) unstable; urgency=low

  * New upstream (closes:258125)

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu,  8 Jul 2004 11:48:35 -0600

cl-f2cl (1.0+cvs.2003.01.11) unstable; urgency=low

  * New upstream
  * Update standards version to 3.5.9.0 [no changes needed]
  * Use compat file rather than DH_COMPAT in rules

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon,  7 Apr 2003 00:19:05 -0600

=== debian/control ===
Source: cl-f2cl
Section: devel
Priority: optional
Maintainer: Kevin M. Rosenberg <kmr@debian.org>
Build-Depends-Indep: debhelper (>= 4.0.0)
Standards-Version: 3.6.1.1

Package: cl-f2cl
Architecture: all
Depends: ${shlibs:Depends}, common-lisp-controller (>= 3.37)
Description: Common Lisp package to convert Fortran 77 source code to Common Lisp
 This package performs automated conversion of Fortran 77 source code into 
 Common Lisp source code.

## cl-f2cl 20070618

=== packages/hompack/Makefile ===
HOMPACK_SRC = \
	dcpose.f \
	divp.f \
	f.f \
	ffunp.f \
	fixpdf.f \
	fixpds.f \
	fixpnf.f \
	fixpns.f \
	fixpqf.f \
	fixpqs.f \
	fjac.f \
	fode.f \
	fodeds.f \
	gfunp.f \
	gmfads.f \
	hfun1p.f \
	hfunp.f \
	initp.f \
	mainf.f \
	mainp.f \
	mains.f \
	mfacds.f \
	mulp.f \
	multds.f \
	otputp.f \
	pcgds.f \
	pcgns.f \
	pcgqs.f \
	polsys.f \
	polyp.f \
	powp.f \
	qimuds.f \
	qrfaqf.f \
	qrslqf.f \
	r1upqf.f \
	rho.f \
	rhoa.f \
	rhojac.f \
	root.f \
	rootnf.f \
	rootns.f \
	rootqf.f \
	rootqs.f \
	sclgnp.f \
	sintrp.f \
	solvds.f \
	stepds.f \
	stepnf.f \
	stepns.f \
	stepqf.f \
	stepqs.f \
	steps.f \
	strptp.f \
	tangnf.f \
	tangns.f \
	tangqf.f \
	tangqs.f \
	upqrqf.f

BLAS = \
	../blas/daxpy.f \
	../blas/dcopy.f \
	../blas/ddot.f \
	../blas/dnrm2.f \
	../blas/dscal.f \
	../blas/idamax.f \


mainf : mainf.o d1mach.o libhompack.a libblas.a 
	$(F77) -o mainf $^

mainp : mainp.o d1mach.o libhompack.a libblas.a 
	$(F77) -o mainp $^

mains : mains.o d1mach.o libhompack.a libblas.a 
	$(F77) -o mains $^

d1mach.o : ../toms/717/d1mach.f
	$(F77) -c -o d1mach.o $^

libblas.a : $(BLAS:.f=.o)
	ar -r libblas.a $^
	ranlib libblas.a

libhompack.a : $(HOMPACK_SRC:.f=.o)
	ar -r libhompack.a $^
	ranlib libhompack.a

clean :
	rm -f *.o
	rm -f mainf mainp mains

=== packages/minpack/Makefile ===
MINPACK = chkder.f \
	dogleg.f \
	dpmpar.f \
	enorm.f \
	fdjac1.f \
	fdjac2.f \
	hybrd.f \
	hybrd1.f \
	hybrj.f \
	hybrj1.f \
	lmder.f \
	lmder1.f \
	lmdif.f \
	lmdif1.f \
	lmpar.f \
	lmstr.f \
	lmstr1.f \
	qform.f \
	qrfac.f \
	qrsolv.f \
	r1mpyq.f \
	r1updt.f \
	rwupdt.f

tst-hybrd : tst-hybrd.o $(MINPACK:.f=.o)
	$(F77) -o $@ $^
tst-lmder : tst-lmder.o $(MINPACK:.f=.o)
	$(F77) -o $@ $^
tst-lmdif : tst-lmdif.o  $(MINPACK:.f=.o)
	$(F77) -o $@ $^

run-lmdif : tst-lmdif
	tst-lmdif < lmdif-input.dat

run-lmder : tst-lmder
	tst-lmder < lmdif-input.dat

run-hybrd : tst-hybrd
	tst-hybrd < lmdif-input.dat

clean :
	rm -f *.o tst-hybrd tst-lmder tst-lmdif

=== packages/odepack/Makefile ===
ODEPACK = \
	adjlr.f \
	cdrv.f \
	cntnzu.f \
	daigbt.f \
	dainvg.f \
	dainvgs.f \
	datp.f \
	datv.f \
	daxpy.f \
	dbnorm.f \
	dcfode.f \
	dcopy.f \
	ddecbt.f \
	ddot.f \
	dewset.f \
	dfnorm.f \
	dgbfa.f \
	dgbsl.f \
	dgefa.f \
	dgesl.f \
	dhefa.f \
	dhels.f \
	dheqr.f \
	dhesl.f \
	dintdy.f \
	diprep.f \
	diprepi.f \
	dlhin.f \
	dlsoda.f \
	dlsodar.f \
	dlsode.f \
	dlsodes.f \
	dlsodi.f \
	dlsodis.f \
	dlsodkr.f \
	dlsodpk.f \
	dlsoibt.f \
	dmnorm.f \
	dnrm2.f \
	dorthog.f \
	dpcg.f \
	dpcgs.f \
	dpjibt.f \
	dpkset.f \
	dprep.f \
	dprepi.f \
	dprepj.f \
	dprepji.f \
	dprja.f \
	dprjis.f \
	dprjs.f \
	drchek.f \
	droots.f \
	dscal.f \
	dsetpk.f \
	dslsbt.f \
	dsolbt.f \
	dsolpk.f \
	dsolss.f \
	dsolsy.f \
	dspigmr.f \
	dspiom.f \
	dsrcar.f \
	dsrckr.f \
	dsrcma.f \
	dsrcms.f \
	dsrcom.f \
	dsrcpk.f \
	dstoda.f \
	dstode.f \
	dstodi.f \
	dstodpk.f \
	dstoka.f \
	dumach.f \
	dumsum.f \
	dusol.f \
	dvnorm.f \
	idamax.f \
	iumach.f \
	ixsav.f \
	jgroup.f \
	md.f \
	mdi.f \
	mdm.f \
	mdp.f \
	mdu.f \
	nnfc.f \
	nnsc.f \
	nntc.f \
	nroc.f \
	nsfc.f \
	odrv.f \
	sro.f \
	xerrwd.f \
	xsetf.f \
	xsetun.f

FFLAGS = -g
F77FLAGS = -g

libodepack.a : $(ODEPACK:.f=.o)
	ar -r libodepack.a $^
	ranlib libodepack.a

demo-lsode : opkdemo1.o libodepack.a
	$(F77) -o $@ $^

demo-lsoda : opkdemo3.o libodepack.a
	$(F77) -o $@ $^

demo-lsodar : opkdemo4.o libodepack.a
	$(F77) -o $@ $^

demo-lsodpk : opkdemo5.o libodepack.a
	$(F77) -o $@ $^

demo-lsodkr : opkdemo6.o libodepack.a
	$(F77) -o $@ $^

demo-lsodi : opkdemo7.o libodepack.a
	$(F77) -o $@ $^

demo-lsoibt : opkdemo8.o libodepack.a
	$(F77) -o $@ $^

demo-lsodis : opkdemo9.o libodepack.a
	$(F77) -o $@ $^

## cl-f2cl 20080222

=== packages/donlp2/Makefile ===
# This is for GNU make.

DONLP2_SRC = \
	donlp2.f \
	dummy.f \
	esf.f \
	esg.f \
	esgradf.f \
	esgradg.f \
	esgradh.f \
	esh.f \
	eval_extern.f \
	o8adcd.f \
	o8bfgs.f \
	o8cutd.f \
	o8dec.f \
	o8dird.f \
	o8dlcd.f \
	o8dsq1.f \
	o8egph.f \
	o8eval.f \
	o8fin.f \
	o8ht.f \
	o8info.f \
	o8inim.f \
	o8left.f \
	o8mdru.f \
	o8msg.f \
	o8opti.f \
	o8qpdu.f \
	o8rest.f \
	o8rght.f \
	o8rinv.f \
	o8rup.f \
	o8save.f \
	o8sc1.f \
	o8sc2.f \
	o8sc3.f \
	o8sce.f \
	o8shms.f \
	o8smax.f \
	o8sol.f \
	o8solt.f \
	o8st.f \
	o8unim.f \
	o8upd.f \
	o8vecn.f \
	o8zup.f \
	solchk.f \
	user_eval.f

antenna1 : donlp2main.o antenna1.o libdonlp2.a
	$(F77) -o $@ $^

hs101 : donlp2main.o hs101.o libdonlp2.a
	$(F77) -o $@ $^

hs102 : donlp2main.o hs102.o libdonlp2.a
	$(F77) -o $@ $^

hs103 : donlp2main.o hs103.o libdonlp2.a
	$(F77) -o $@ $^

betting : donlp2main.o betting.o libdonlp2.a
	$(F77) -o $@ $^

chemequi : donlp2main.o chemequi.o libdonlp2.a
	$(F77) -o $@ $^

alkylati : donlp2main.o alkylati.o libdonlp2.a
	$(F77) -o $@ $^

amplqp :  donlp2main.o amplqp.o libdonlp2.a
	$(F77) -o $@ $^

fractf77new : donlp2main.o fractf77new.o libdonlp2.a
	$(F77) -o $@ $^

girder : donlp2main.o girder.o libdonlp2.a
	$(F77) -o $@ $^

irreg1 : donlp2main.o irreg1.o libdonlp2.a
	$(F77) -o $@ $^

irreg2 : donlp2main.o irreg2.o libdonlp2.a
	$(F77) -o $@ $^

net1 : donlp2main.o net1.o libdonlp2.a
	$(F77) -o $@ $^

boxparam : donlp2main.o boxparam.o libdonlp2.a
	$(F77) -o $@ $^

barnes: donlp2main.o barnes.o libdonlp2.a
	$(F77) -o $@ $^

dembo1as: donlp2main.o dembo1as.o libdonlp2.a
	$(F77) -o $@ $^

dembo4: donlp2main.o dembo4.o libdonlp2.a
	$(F77) -o $@ $^

dembo7: donlp2main.o dembo7.o libdonlp2.a
	$(F77) -o $@ $^

hs109: donlp2main.o hs109.o libdonlp2.a
	$(F77) -o $@ $^

maratos: donlp2main.o maratos.o libdonlp2.a
	$(F77) -o $@ $^

paviani2: donlp2main.o paviani2.o libdonlp2.a
	$(F77) -o $@ $^

tp383mod: donlp2main.o tp383mod.o libdonlp2.a
	$(F77) -o $@ $^

undefexa: donlp2main.o undefexa.o libdonlp2.a
	$(F77) -o $@ $^

weaponas: donlp2main.o weaponas.o libdonlp2.a
	$(F77) -o $@ $^

libdonlp2.a : $(DONLP2_SRC:.f=.o)
	ar r $@ $^

=== packages/fishpack/Makefile ===
FISHPACK_SRC = \
	blktr1.f \
	blktri.f \
	bsrh.f \
	chkpr4.f \
	chksn4.f \
	cofx.f \
	compb.f \
	cosgen.f \
	cprod.f \
	cprodp.f \
	defe4.f \
	dx4.f \
	dy4.f \
	epmach.f \
	genbun.f \
	hstcrt.f \
	hstcs1.f \
	hstcsp.f \
	hstcyl.f \
	hstplr.f \
	hstssp.f \
	hw3crt.f \
	hwscrt.f \
	hwscs1.f \
	hwscsp.f \
	hwscyl.f \
	hwsplr.f \
	hwsss1.f \
	hwsssp.f \
	indxa.f \
	indxb.f \
	indxc.f \
	junk.f \
	merge.f \
	minso4.f \
	ortho4.f \
	pimach.f \
	pois3d.f \
	poisd2.f \
	poisn2.f \
	poisp2.f \
	poistg.f \
	pos3d1.f \
	postg2.f \
	ppadd.f \
	ppsgf.f \
	ppspf.f \
	prod.f \
	prodp.f \
	psgf.f \
	sepx4.f \
	speli4.f \
	store.f \
	tevls.f \
	tri3.f \
	trid.f \
	tris4.f \
	trix.f

all : tsthwscrt tsthwscyl tsthwsplr tsthwsssp tsthwscsp tsthstplr tsthstcyl tsthstssp tsthstcsp tstsepx4

tsthwscrt : ex/tsthwscrt.o libfishpack.a
	$(F77) -o $@ $^

tsthwscyl : ex/tsthwscyl.o libfishpack.a
	$(F77) -o $@ $^

tsthwsplr : ex/tsthwsplr.o libfishpack.a
	$(F77) -o $@ $^

tsthwsssp : ex/tsthwsssp.o libfishpack.a
	$(F77) -o $@ $^

tsthwscsp : ex/tsthwscsp.o libfishpack.a
	$(F77) -o $@ $^

tsthstcrt : ex/tsthstcrt.o libfishpack.a
	$(F77) -o $@ $^

tsthstplr : ex/tsthstplr.o libfishpack.a
	$(F77) -o $@ $^

tsthstcyl : ex/tsthstcyl.o libfishpack.a
	$(F77) -o $@ $^

tsthstssp : ex/tsthstssp.o libfishpack.a
	$(F77) -o $@ $^

tsthstcsp : ex/tsthstcsp.o libfishpack.a
	$(F77) -o $@ $^

tsthw3crt : ex/tsthw3crt.o libfishpack.a
	$(F77) -o $@ $^

tstsepx4 : ex/tstsepx4.o ex/cofx4.o libfishpack.a
	$(F77) -o $@ $^

libfishpack.a : $(FISHPACK_SRC:.f=.o)
	ar r $@ $^

=== packages/hompack/Makefile ===
--- 
+++ 
@@ -70,11 +70,23 @@
 mainf : mainf.o d1mach.o libhompack.a libblas.a 
 	$(F77) -o mainf $^
 
+ref-mainf.txt : mainf
+	mainf | tee ref-mainf.txt
+
 mainp : mainp.o d1mach.o libhompack.a libblas.a 
 	$(F77) -o mainp $^
 
+ref-mainp.txt : mainp
+	$(RM) -f OUTHP.DAT
+	mainp
+	mv OUTHP.DAT ref-mainp.txt
+
+# Not working.
 mains : mains.o d1mach.o libhompack.a libblas.a 
 	$(F77) -o mains $^
+
+ref-mains.txt : mains
+	mains | tee ref-mains.txt
 
 d1mach.o : ../toms/717/d1mach.f
 	$(F77) -c -o d1mach.o $^

=== packages/minpack/Makefile ===
--- 
+++ 
@@ -30,13 +30,13 @@
 	$(F77) -o $@ $^
 
 run-lmdif : tst-lmdif
-	tst-lmdif < lmdif-input.dat
+	tst-lmdif < lmdif-input.dat | tee lmdif-ref.txt
 
 run-lmder : tst-lmder
-	tst-lmder < lmdif-input.dat
+	tst-lmder < lmdif-input.dat | tee lmder-ref.txt
 
 run-hybrd : tst-hybrd
-	tst-hybrd < lmdif-input.dat
+	tst-hybrd < lmdif-input.dat | tee hybrd-ref.txt
 
 clean :
 	rm -f *.o tst-hybrd tst-lmder tst-lmdif

=== packages/odepack/Makefile ===
--- 
+++ 
@@ -103,25 +103,36 @@
 	ar -r libodepack.a $^
 	ranlib libodepack.a
 
-demo-lsode : opkdemo1.o libodepack.a
+demo-lsode : demo1/opkdemo1.o demo1/f1.o demo1/f2.o demo1/jac1.o demo1/jac2.o demo1/edit2.o libodepack.a
 	$(F77) -o $@ $^
 
-demo-lsoda : opkdemo3.o libodepack.a
+demo-lsode.out : demo-lsode
+	demo-lsode | tee demo-lsode.out
+
+demo-lsoda : demo3/opkdemo3.o demo3/f1.o demo3/f2.o demo3/jac1.o demo3/jac2.o demo3/edit2.o libodepack.a
 	$(F77) -o $@ $^
 
-demo-lsodar : opkdemo4.o libodepack.a
+demo-lsoda.out : demo-lsoda
+	demo-lsoda | tee $@
+
+demo-lsodar : demo4/opkdemo4.o demo4/f1.o demo4/f2.o demo4/gr1.o demo4/gr2.o demo4/jac2.o libodepack.a
 	$(F77) -o $@ $^
 
-demo-lsodpk : opkdemo5.o libodepack.a
+demo-lsodpk : demo5/opkdemo5.o demo5/fweb.o demo5/gset.o demo5/cinit.o demo5/outweb.o demo5/jacbg.o demo5/setpar.o demo5/solsbg.o demo5/gs.o demo5/fbg.o demo5/webr.o libodepack.a
 	$(F77) -o $@ $^
+
+demo-lsodpk.out : demo-lsodpk
+	$(RM) -f demout ccout
+	demo-lsodpk
+	mv demout $@
 
 demo-lsodkr : opkdemo6.o libodepack.a
 	$(F77) -o $@ $^
 
-demo-lsodi : opkdemo7.o libodepack.a
+demo-lsodi : demo7/opkdemo7.o demo7/res.o demo7/elkup.o demo7/jacbd.o demo7/jacfl.o demo7/addabd.o demo7/addafl.o demo7/gfun.o libodepack.a
 	$(F77) -o $@ $^
 
-demo-lsoibt : opkdemo8.o libodepack.a
+demo-lsoibt : demo8/opkdemo8.o demo8/res.o demo8/edit.o demo8/maxerr.o demo8/jacbt.o demo8/setic.o demo8/addabt.o demo8/gfun.o demo8/subav.o libodepack.a
 	$(F77) -o $@ $^
 
 demo-lsodis : opkdemo9.o libodepack.a
